Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.coherence.servlet
Class SessionHelper.SessionReaperDaemon.IncrementalReapTask

`java.lang.Object
com.tangosol.coherence.servlet.AbstractReapTask
com.tangosol.coherence.servlet.IncrementalReapTask
com.tangosol.coherence.servlet.SessionHelper.SessionReaperDaemon.IncrementalReapTask`

All Implemented Interfaces:
  Runnable

Enclosing class:
  SessionHelper.SessionReaperDaemon

      public class SessionHelper.SessionReaperDaemon.IncrementalReapTask

extends IncrementalReapTask

Field Summary

Fields inherited from class com.tangosol.coherence.servlet.AbstractReapTask
`mStartTime`

Constructor Summary
`SessionHelper.SessionReaperDaemon.IncrementalReapTask(Iterator iterIds, int cEstimatedSessions)`
`SessionHelper.SessionReaperDaemon.IncrementalReapTask(SessionHelper sessionHelper, Iterator iterIds, int cEstimatedSessions)`

Method Summary

Methods inherited from class com.tangosol.coherence.servlet.IncrementalReapTask
`getSessionChunkCount, getSessionChunkMillis, reap, scheduleNextCycle`

Methods inherited from class com.tangosol.coherence.servlet.AbstractReapTask
`checkAndInvalidate, done, getDaemon, getNrOfInvalidatedSessions, getSessionHelper, getSessionIdIterator, isDone, run`

Constructor Detail

### SessionHelper.SessionReaperDaemon.IncrementalReapTask

    public SessionHelper.SessionReaperDaemon.IncrementalReapTask(Iterator iterIds,
                                                                 int cEstimatedSessions)

### SessionHelper.SessionReaperDaemon.IncrementalReapTask

    public SessionHelper.SessionReaperDaemon.IncrementalReapTask(SessionHelper sessionHelper,
                                                                 Iterator iterIds,
                                                                 int cEstimatedSessions)

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.